func void TA_Cook		(var int start_h, var int stop_h, var string waypoint)	{TA		(self,  start_h, stop_h, ZS_Cook,			waypoint);};
func void TA_Eat		(var int start_h, var int stop_h, var string waypoint)	{TA		(self,  start_h, stop_h, ZS_Eat,			waypoint);};
func void TA_Guard		(var int start_h, var int stop_h, var string waypoint)	{TA		(self,  start_h, stop_h, ZS_Guard,			waypoint);};
func void TA_HangAround	(var int start_h, var int stop_h, var string waypoint)	{TA		(self,  start_h, stop_h, ZS_HangAround,		waypoint);};
func void TA_RepairHut	(var int start_h, var int stop_h, var string waypoint)	{TA		(self,  start_h, stop_h, ZS_RepairHut,		waypoint);};
func void TA_Sleep		(var int start_h, var int stop_h, var string waypoint)	{TA		(self,  start_h, stop_h, ZS_Sleep,			waypoint);};
func void TA_Speech		(var int start_h, var int stop_h, var string waypoint)	{TA		(self,  start_h, stop_h, ZS_Speech,			waypoint);};
func void TA_Listen		(var int start_h, var int stop_h, var string waypoint)	{TA		(self,  start_h, stop_h, ZS_Listen,			waypoint);};
func void TA_PlayMusic	(var int start_h, var int stop_h, var string waypoint)	{TA		(self,  start_h, stop_h, ZS_PlayMusic,		waypoint);};
func void TA_Drunk		(var int start_h, var int stop_h, var string waypoint)	{TA		(self,  start_h, stop_h, ZS_Drunk,			waypoint);};
func void TA_GotoWP		(var int start_h, var int stop_h, var string waypoint)	{TA		(self,	start_h, stop_h, ZS_GotoWP,			waypoint);};
//func void TA_Drunk		(var int start_h, var int stop_h, var string waypoint)	{TA		(self,	start_h, stop_h, ZS_Drunk,			waypoint);}; 


